View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.PayPalJWT PayPal-supplied JWT token for authenticating merchant API requests.
Important: These JWT tokens are issued and managed by PayPal, not generated by merchants. PayPal provides these tokens to authenticate calls to your merchant API endpoints.
Usage:
Example:
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
available_shipping_optionsobject<ShippingOption>[]Optionalpriceobject<Money>RequiredvaluestringRequiredpriceobject<Money>OptionalvaluestringRequiredgift_optionsobject<GiftOptions>Optionaldelivery_datestringOptionalcustomerobject<Customer>Optionalcountry_codestringRequirednational_numberstringRequiredemail_addressstringOptionalshipping_addressobject<ShippingAddress>Optionaladmin_area_1stringOptionalbilling_addressobject<BillingAddress>Optionaladmin_area_1stringOptionalpayment_methodobject<PaymentMethod>Optionalcheckout_fieldsobject<CheckoutField>[]OptionaltypeenumRequiredstatusenumRequiredvalidation_issueobject<ValidationIssue>Optionalspecific_issueenumOptionalspecific_issueenumOptionalspecific_issueenumOptionalspecific_issueenumOptionalresolution_optionsobject<ResolutionOption>[]OptionalactionenumRequiredcouponsobject<Coupon>[]Optionalgeo_coordinatesobject<GeoCoordinates>Optionalapplication/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/merchant-cart/CART-123/checkout" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..." \ -H "Content-Type: application/json" \ -H "Content-Type: application/json" \ -d '{ "payment_method": { "type": "paypal", "token": "EC-7U8939823K567", "payer_id": "PAYER123456789" }, "items": [ { "variant_id": "JEANS-SLIM-32", "parent_id": "JEANS-SLIM-COLLECTION", "quantity": 2 } ], "customer": { "name": { "given_name": "John", "surname": "Smith" }, "email_address": "[email protected]", "phone": { "country_code": "1", "national_number": "5551234567" } }, "shipping_address": { "address_line_1": "123 Main Street", "address_line_2": "Apt 4B", "admin_area_2": "San Jose", "admin_area_1": "CA", "postal_code": "95131", "country_code": "US" }, "billing_address": { "address_line_1": "456 Payment Boulevard", "address_line_2": "Suite 789", "admin_area_2": "New York", "admin_area_1": "NY", "postal_code": "10001", "country_code": "US" } }'{ "id": "CART-123", "status": "COMPLETED", "validation_status": "VALID", "validation_issues": [], "payment_confirmation": { "merchant_order_number": "ORDER-789", "order_review_page": "https://yourstore.com/orders/789" }, "totals": { "total": { "currency_code": "USD", "value": "37.19" } }}